Bug 810442 - setting auth.allow/reject option to valid 'shorthand notation of ipv6 address' is unsuccessful
setting auth.allow/reject option to valid 'shorthand notation of ipv6 address...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-06 03:33 EDT by Shwetha Panduranga
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:41:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shwetha Panduranga 2012-04-06 03:33:41 EDT
Description of problem:

When a valid  shorthand notation of ipv6 address (Ex:-'2003::1') is specified as value to volume set option auth.allow/reject, nfs.rpc-auth-allow/reject , the operation is unsuccessful and reports the ipv6 address as invalid. 

[04/06/12 - 17:42:23 root@APP-SERVER1 ~]# gluster volume set dstore auth.allow 2003::1
option auth.addr./export1/dstore1.allow 2003::1: '2003::1' is not a valid internet-address-list
Set volume unsuccessful

Note:-
---------
The volume set operation is successful when we specify full notation of ipv6 address or ipv6 address with wild characters.

[04/06/12 - 17:56:09 root@APP-SERVER1 ~]# gluster volume set dstore auth.allow 2003:1:1:1:1:1:1:1
Set volume successful

[04/06/12 - 17:58:24 root@APP-SERVER1 ~]# gluster volume set dstore auth.allow 2003:*
Set volume successful

[04/06/12 - 18:23:12 root@APP-SERVER1 ~]# gluster volume set dstore auth.allow 0:*:*:0:007F:0:0001:*
Set volume successful


Version-Release number of selected component (if applicable):
3.3.0qa33

How reproducible:
often

Steps to Reproduce:
1.Create a distribute-replicate volume. 
2.volume set <volume-name> auth.allow <shorthand_notation_of_ipv6_address>

Actual results:
[04/06/12 - 17:49:51 root@APP-SERVER1 ~]# gluster volume set dstore auth.allow 2003::1
option auth.addr./export1/dstore1.allow 2003::1: '2003::1' is not a valid internet-address-list
Set volume unsuccessful

Additional info:-
------------------
The same also happens with "peer probe  <shorthand_notation_of_ipv6_address>"

[04/06/12 - 17:52:12 root@APP-SERVER1 ~]# gluster peer probe 2003::1
Usage: peer probe <HOSTNAME>
Comment 1 Anand Avati 2012-04-19 02:18:55 EDT
CHANGE: http://review.gluster.com/3152 (glusterd: Properly validate compressed form of IPv6 addresses) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Shwetha Panduranga 2012-04-25 05:21:52 EDT
Verified the bug on 3.3.0qa38. bug is fixed.

Note You need to log in before you can comment on or make changes to this bug.